1. JohnT3's Avatar
    Says it's not compatible with device. I was playing the trial version just fine. Anyone know why it says it's not compatible?
    08-19-11 09:43 AM
  2. CrackBerry Kevin's Avatar
    Could be the developer just didn't add the compatibility on the store back end. Will alert and our software partners and developer to look into asap.
    08-19-11 09:51 AM
  3. JohnT3's Avatar
    Thanks, I was trying to buy it and was surprised I couldn't. Hopefully there's not an issue with it on the bold touch.

    Posted from my CrackBerry at wapforums.crackberry.com
    08-19-11 10:45 AM
  4. Mykl's Avatar
    Good. Can't let those foxes win.
    08-19-11 10:48 AM
  5. technology-fanboy's Avatar
    Its 100% compatible.

    Infact, the latest update by the developer clearly mentions the addition of OS 7 support

    I have emailed them for you to update on the Mobihand site
    08-19-11 10:55 AM
  6. JohnT3's Avatar
    It's working now.

    Posted from my CrackBerry at wapforums.crackberry.com
    08-19-11 11:17 AM
  7. Raptor007's Avatar
    Cool, I'm buying it today.
    08-19-11 11:21 AM
  8. technology-fanboy's Avatar
    It's working now.
    It has been working even before they update the mobihand site compatibility

    now they have updated it

    08-19-11 11:23 AM